Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

robot_localization can't locate node - jade upgrade

Hi I have recently upgraded from indigo to jade, and installed (in ubuntu) the jade robot_localization package via apt.

When I do

roslaunch robot_localization ekf_template.launch

I get

ERROR: cannot launch node of type [robot_localization/ekf_localization_node]: can't locate node [ekf_localization_node] in package [robot_localization]

or if I do

rosrun robot_localization ekf_localization_node

I get

[rosrun] Couldn't find executable named ekf_localization_node below /opt/ros/jade/share/robot_localization

I can see the package is installed, calization launch$ ls /opt/ros/jade/share/robot_localization/ cmake launch LICENSE package.xml srv

and it shows in rospack list.

Any ideas?

robot_localization can't locate node - jade upgrade

Hi I have recently upgraded from indigo to jade, and installed (in ubuntu) the jade robot_localization robot_localization package via apt.

When I do

roslaunch robot_localization  ekf_template.launch

ekf_template.launch

I get

ERROR: cannot launch node of type [robot_localization/ekf_localization_node]: can't locate node [ekf_localization_node] in package [robot_localization]

[robot_localization]

or if I do

rosrun robot_localization ekf_localization_node 

ekf_localization_node

I get

[rosrun] Couldn't find executable named ekf_localization_node below /opt/ros/jade/share/robot_localization

/opt/ros/jade/share/robot_localization

I can see the package is installed, calization launch$ ls /opt/ros/jade/share/robot_localization/ cmake launch LICENSE package.xml srv

and it shows in rospack list.

Any ideas?